SpriteLibrary
SpriteLibrary
SpriteLibrary
SpriteInfo Class
SpriteInfo Fields
Animations Field
SpriteName Field
ViewPercent Field

# SpriteInfo Animations Field

This is the list of animations that make up the sprite. Again, you do not want to use these within your program. Let the SpriteDatabase use this. The reason these are visible to the program is because This code uses "XML Serialization" to load and save. XML Serialization requires the items you are serializing to be "public", which makes them visible.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.6 (1.0.0.6)
Syntax
C#
Copy

    public List<AnimationInfo> Animations

#### Field Value

Type: List
AnimationInfo
See Also

#### Reference

SpriteInfo Class
SpriteLibrary Namespace